Summary: A library for reading and returning lines from a terminal.
Name: readline
Version: 4.3
Release: 4tr
License: GPL
Group: Trustix Official
# Yes, I know this is an official GNU package.  This is still the home site
Source: ftp://ftp.cwru.edu/pub/bash/readline-%{version}.tar.gz
Patch1: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-001
Patch2: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-002
Patch3: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-003
Patch4: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-004
Patch5: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-005
#Patch10: readline-2.2.1-shared.patch
#Patch11: readline-2.2.1-guard.patch
Prereq: /sbin/ldconfig htmlinfo
Buildroot: /var/tmp/%{name}-root

%description
The readline library reads a line from the terminal and returns it,
allowing the user to edit the line with standard emacs editing keys.
The readline library allows programmers to provide an easy to use and
more intuitive interface for users.

If you want to develop programs that will use the readline library,
you'll also need to install the readline-devel package.

%package devel
Summary: Development files for programs which will use the readline library.
Group: Trustix Official
Requires: readline = %{version}

%description devel
The readline library will read a line from the terminal and return it.
Use of the readline library allows programmers to provide an easy
to use and more intuitive interface for users.

If you want to develop programs which will use the readline library,
you'll need to have the readline-devel package installed.  You'll also
need to have the readline package installed.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
#%patch10 -p1 -b .shared
#%patch11 -p1 -b .guard

%build
%configure --prefix=/usr \
	--mandir=%{_mandir}
make static shared

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/share/html/{readline,history,rluserman}
make install install-shared \
	prefix=$RPM_BUILD_ROOT/%{_prefix} \
	libdir=$RPM_BUILD_ROOT/%{_prefix}/%{_lib} \
	includedir=$RPM_BUILD_ROOT/%{_prefix}/include \
	mandir=$RPM_BUILD_ROOT/%{_mandir}
install -m 644 doc/readline.html $RPM_BUILD_ROOT/usr/share/html/readline/
install -m 644 doc/history.html $RPM_BUILD_ROOT/usr/share/html/history/
install -m 644 doc/rluserman.html $RPM_BUILD_ROOT/usr/share/html/rluserman/
( cd $RPM_BUILD_ROOT
  ln -sf libreadline.so.%{version} ./%{_prefix}/%{_lib}/libreadline.so
  ln -sf libhistory.so.%{version} ./%{_prefix}/%{_lib}/libhistory.so
  ln -sf libreadline.so.%{version} ./%{_prefix}/%{_lib}/libreadline.so.4
  ln -sf libhistory.so.%{version} ./%{_prefix}/%{_lib}/libhistory.so.4
  rm -f ./%{_prefix}/share/info/dir
)
 
%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/sbin/htmlinfo_update.sh

%postun -p /sbin/ldconfig
/usr/sbin/htmlinfo_update.sh


%files
%defattr(-,root,root)
%{_prefix}/share/man/*/*
%dir %{_prefix}/share/html/readline
%dir %{_prefix}/share/html/history
%dir %{_prefix}/share/html/rluserman
%{_prefix}/share/html/readline/*
%{_prefix}/share/html/history/*
%{_prefix}/share/html/rluserman/*
%{_prefix}/%{_lib}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include/readline
%{_prefix}/%{_lib}/lib*.a
%{_prefix}/%{_lib}/lib*.so

%changelog
* Mon Oct 18 2004 Erlend Midttun <erlendbm at trustix dot org> 4.3-4tr
- Added official patches.

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 4.3-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2-5tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm@trustix.com> 4.2-4em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht@trustix.com> 4.2-3ct
- Replaced info stuff with htmlinfo

* Wed Jul 24 2002 Daniel Meyer <eagle@trustix.org> 4.2-2dm
- rebuild for Trustix Secure Linux 2.0

* Mon Jun 11 2001 Erlend Midttun <erlendbm@trustix.com>
- New upstream version.

* Wed Sep 13 2000 Per Ivar Paulsen <perp@trustix.com>
- Picked up 4.1

* Sun Feb 27 2000 Lars Gaarden <larsg@trustix.com>
- missed libhistory.so.4 and libreadline.so.4
- dangling symlinks to *.so.3.0

* Tue Jan 25 2000 Tore Olsen <toreo@trustix.com>
- upgraded to 4.0
- moved /usr/{man,info} to /usr/share/{man,info} for FHS compliance

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added guard patch from Taneli Huuskonen <huuskone@cc.helsinki.fi>

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
